For the complete documentation index, see llms.txt. This page is also available as Markdown.

Oracle Accounts

The Oracle Accounts endpoints manage the Oracle billing account records associated with Verifone customers. These accounts link order and provisioning data to Oracle for invoicing and financial processing.

Oracle account operations are typically performed by Verifone back-office processes. Confirm access requirements with your Verifone integration contact before using these endpoints.

API Reference

Search Oracle Accounts

Get the list of all oracle accounts

get

By passing in the appropriate options, you can search for available Oracle accounts in the system.

Query parameters
oracleAccountIdintegerOptional

Oracle Account Id.

Example: 12031585
userUidstring · uuidOptional

The User ID corresponding to the User who created or modified the order.

Example: 04f5ea24-cc4f-11e8-a8d5-f2801f1b9fd1
merchantCompanyEntityUidstring · uuidOptional

The Verifone allocated unique ID for this merchant company.

Example: 14f5ea24-cc4f-11e8-a8d5-f2801f1b9fd9
Responses
get
/accounts/oracle

Add Oracle Account

Add Oracle account

post

Add Oracle account with MOP users and/or merchant company

Body
oracleAccountIdintegerRequired

Oracle Account Id.

Example: 12031585
userUidstring · uuidOptional

The assigned User ID corresponding to the Order Created By.

Example: 04f5ea24-cc4f-11e8-a8d5-f2801f1b9fd1
merchantCompanyEntityUidstring · uuidOptional

The Verifone allocated unique ID for this merchant company.

Example: 14f5ea24-cc4f-11e8-a8d5-f2801f1b9fd9
Responses
201

Add Oracle Account Success.

No content

post
/accounts/oracle

No content

Update Oracle Account

This is a PATCH operation — only the fields provided in the request body will be updated.

Update Oracle account

patch

Update Oracle account with MOP users and/or merchant company.

Path parameters
oracleAccountIdintegerRequired

Oracle Account Id.

Example: 12031585
Body
oracleAccountIdintegerRequired

Oracle Account Id.

Example: 12031585
userUidstring · uuidOptional

The assigned User ID corresponding to the Order Created By.

Example: 04f5ea24-cc4f-11e8-a8d5-f2801f1b9fd1
merchantCompanyEntityUidstring · uuidOptional

The Verifone allocated unique ID for this merchant company.

Example: 14f5ea24-cc4f-11e8-a8d5-f2801f1b9fd9
Responses
patch
/accounts/oracle/{oracleAccountId}

No content

Delete Oracle Account

Delete Oracle account

delete

Delete Oracle account with MOP users and/or merchant company.

Path parameters
oracleAccountIdintegerRequired

Oracle Account Id.

Example: 12031585
Responses
delete
/accounts/oracle/{oracleAccountId}

No content

Was this helpful?